## plasma-widget-customizable-weather 0.9.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(plasma-cwp)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}
	${KDE4_INCLUDES}
	${QT_QTTEST_INCLUDE_DIR}
	)

set(cwp_SRCS plasma-cwp-graphics-widget.cpp plasma-cwp-pixmap-dialog.cpp plasma-cwp-pixmap-list-dialog.cpp plasma-cwp-update-thread.cpp plasma-cwp-paint-helper.cpp plasma-cwp-popup-applet.cpp plasma-cwp.cpp config.cpp)

add_subdirectory(po)

kde4_add_ui_files(cwp_SRCS config.ui)
kde4_add_plugin(plasma_applet_cwp ${cwp_SRCS})
target_link_libraries(plasma_applet_cwp
	${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${QT_QTXML_LIBRARY})

install(TARGETS
	plasma_applet_cwp
	DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES
	plasma-applet-cwp.desktop
	DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES
	images/background_circle_white.png
	images/background_rectangle_white.png
	images/background_rounded_rectangle_white.png
	images/background_circle_black.png
	images/background_rectangle_black.png
	images/background_rounded_rectangle_black.png
	images/background_circle_grey.png
	images/background_rectangle_grey.png
	images/background_rounded_rectangle_grey.png
	data/br_weather_com.xml
	data/de_weather_com.xml
	data/espanol_weather_com.xml
	data/fr_weather_com.xml
	data/in_weather_com.xml
	data/uk_weather_com.xml
	data/www_weather_com.xml
	data/wetter_com.xml
	data/metservice_co_nz.xml
	data/www_weather_com.cn.xml
	data/myforecast_com_celsius.xml
	data/myforecast_com_fahrenheit.xml
	data/www_accuweather_com_world_celsius.xml
	data/www_accuweather_com_world_fahrenheit.xml
	data/www_accuweather_com_us_celsius.xml
	data/www_accuweather_com_us_fahrenheit.xml
	data/ilmeteo_it.xml
	data/pogodynka_pl.xml
	data/www_gismeteo_com.xml
	data/freemeteo_com_celsius.xml
	data/freemeteo_com_fahrenheit.xml
	data/satellite_images.xml
	DESTINATION ${DATA_INSTALL_DIR}/plasma-cwp)

install(FILES
	images/wind_arrow.svgz
	images/wind_unknown.svgz
	images/wind_var.svgz
	images/satellite_image.svgz
	DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/)

install(FILES
	images/weather-windy.svgz
	DESTINATION ${SHARE_INSTALL_PREFIX}/icons/oxygen/scalable/status/)

## plasma-widget-customizable-weather 1.0.0

=== debian/changelog ===
plasma-widget-customizable-weather (1.0.0-0ubuntu1) lucid; urgency=low

  * New upstream release (bugfix-only)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 14 Mar 2010 17:54:01 -0400

plasma-widget-customizable-weather (0.9.18-0ubuntu1) lucid; urgency=low

  [ Christian Mangold ]
  * New upstream release (LP: #509228)
  * Switch to dpkg-source 3.0 (quilt) format

  [ Jonathan Thomas ]
  * Bump debian/compat to 7; I had forgotten to when I switched to dh7

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 18 Jan 2010 20:42:14 +0100

plasma-widget-customizable-weather (0.9.17-0ubuntu3) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:47:04 +0000

plasma-widget-customizable-weather (0.9.17-0ubuntu2) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1, which is binary incompatible with 4.6
    beta

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 24 Nov 2009 09:55:19 -0500

plasma-widget-customizable-weather (0.9.17-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 08 Nov 2009 21:53:45 -0500

plasma-widget-customizable-weather (0.9.16-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Use the dh7 kde addon instead of the kde.mk cdbs rule:
    - Use dh --with-kde $@ in debian/rules
    - Remove cdbs build-depend in debian/control

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 07 Nov 2009 19:44:13 -0500

plasma-widget-customizable-weather (0.9.11-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #408408)
  * Update maintainer

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 03 Aug 2009 16:25:50 +0200

plasma-widget-customizable-weather (0.9.10-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Clean up debian/control: (LP: #392228)
    - Remove unneeded build-depend on kdebase-workspace-dev
  * Bump debhelper version required to 7 since we use pkg-kde-tools
  * Bump version in debian/compat for the same reason
  * Use kde.mk from pkg-kde-tools rather than debian-qt-kde.mk

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 25 Jun 2009 14:59:01 -0400

plasma-widget-customizable-weather (0.9.9-0ubuntu2) karmic; urgency=low

  * Transition from libplasma-dev to kdelibs5-dev
    - debian/control: change libplasma-dev to kdelibs5-dev
  * Transition from kde4.mk to pkg-kde-tools
    - debian/rules: Change '/usr/share/cdbs/1/class/kde4.mk' to
     '/usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk'
    - debian/control: Build-Depend on 'pkg-kde-tools'
  * Drop cmake from build-deps

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Sat, 23 May 2009 02:52:55 +0200

plasma-widget-customizable-weather (0.9.9-0ubuntu1) karmic; urgency=low

  * Initial release (LP: #364897)

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Thu, 30 Apr 2009 03:27:25 +0200

=== debian/control ===
Source: plasma-widget-customizable-weather
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), kdelibs5-dev (>= 4:4.3.3-0ubuntu3)
Standards-Version: 3.8.3
Homepage: http://kde-look.org/content/show.php/Customizable+Weather+Plasmoid+(CWP)?content=98925

Package: plasma-widget-customizable-weather
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a weather plasma widget that is highly customizable
 Any weather forecast provider can be used, as long as the data is
 provided as html files. You can choose different layout like weather
 icons, font and widget background.
